# rooms.py

# Copyright (C) 2019 Hannu Viitala
#
# The source code in this file is released under the MIT license.
# Go to http://opensource.org/licenses/MIT for the full license details.
#

import globals as glob
import data
import gc

print("test")





glob.roomParameters = [
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [   # *** room7: Tor's horror ***
        "Tor's horror bees",
        
        [ # Tiles
            [0x0, data.backgroundSurf0, 0],
            [0x6, data.floorSurf1, glob.TILE_FLAG_BLOCKING | glob.TILE_FLAG_PLATFORM],
            [0x7, data.backgroundSurf1, 0],
            [0xe, data.floorSurf1, glob.TILE_FLAG_BLOCKING]
        ],
        
        [ # Exit tile properties
            # id,   x, y, newRoom, newX,  newY 
            [0xf, 200, 0,       3,    8,  -999]
        ],
        
        [ # Sprites
            [   # bee1
                [data.beeSurf_f1, data.beeSurf_f2 ], # frames
                [data.beeSurfOffset_f1,data.beeSurfOffset_f2], # frame offsets
                # wx, wy, vx, vy, adur, dir, delay,  bx1,   by1,      bx2,   by2,  bType,   hflip, vflip,  coin
                [ 60, 10,  1, 0,     1,   4,     2,  -16,  -999,   20*8,   999,      1,   True, False, False ]
            ], 
            [   # bee2
                [data.beeSurf_f1, data.beeSurf_f2 ], # frames
                [data.beeSurfOffset_f1,data.beeSurfOffset_f2], # frame offsets
                # wx, wy, vx, vy,  adur, dir, delay,    bx1,   by1,   bx2,   by2,   bType,   hflip, vflip,  coin
                [ 40, 30,  1,  0,     1,   4,     2,    -16,  -999,   20*8,   999,      1,   True, False, False ]
            ],
            [   # bee3
                [data.beeSurf_f1, data.beeSurf_f2 ], # frames
                [data.beeSurfOffset_f1,data.beeSurfOffset_f2], # frame offsets
                # wx, wy, vx, vy,  adur, dir, delay,    bx1,   by1,   bx2,   by2,   bType,   hflip, vflip,  coin
                [ 50, 50,  1,  0,     1,   4,     2,    -16,  -999,   20*8,   999,      1,   True, False, False ]
            ],
            [   # bee4
                [data.beeSurf_f1, data.beeSurf_f2 ], # frames
                [data.beeSurfOffset_f1,data.beeSurfOffset_f2], # frame offsets
                # wx, wy, vx, vy,  adur, dir, delay,    bx1,   by1,   bx2,   by2,   bType,   hflip, vflip,  coin
                [ 30, 70,  1,  0,     1,   4,     2,    -16,  -999,   20*8,   999,      1,   True, False, False ]
            ],
            [   # bee5
                [data.beeSurf_f1, data.beeSurf_f2 ], # frames
                [data.beeSurfOffset_f1,data.beeSurfOffset_f2], # frame offsets
                # wx, wy, vx, vy,  adur, dir, delay,    bx1,   by1,   bx2,   by2,   bType,   hflip, vflip,  coin
                [ 70, 90,  1,  0,     1,   4,     2,    -16,  -999,   20*8,   999,      1,   True, False, False ]
            ],
            [   # honey 1
                [data.honeyPotSurf0, data.honeyPotSurf1 ], # frames
                [[0,0],[0,0]], # frame offsets  
                #  wx,  wy, vx,vy, adur, dir, del,  bx1,   by1,   bx2,   by2,  bType,   hflip, vflip,  coin
                [  64,  53,  0, 0,    1,   2,   1, -999,  -999,   999,   999,       0,   False, False, True ] 
            ],
            [   # honey 2
                [data.honeyPotSurf0, data.honeyPotSurf1 ], # frames
                [[0,0],[0,0]], # frame offsets  
                #  wx,  wy, vx,vy, adur, dir, del,  bx1,   by1,   bx2,   by2,  bType,   hflip, vflip,  coin
                [  60,  65,  0, 0,    1,   2,   1, -999,  -999,   999,   999,       0,   False, False, True ] 
            ],
            [   # honey 3
                [data.honeyPotSurf0, data.honeyPotSurf1 ], # frames
                [[0,0],[0,0]], # frame offsets  
                #  wx,  wy, vx,vy, adur, dir, del,  bx1,   by1,   bx2,   by2,  bType,   hflip, vflip,  coin
                [  69,  65,  0, 0,    1,   2,   1, -999,  -999,   999,   999,       0,   False, False, True ] 
            ]
        ]
    ],
]

